Public Class frmConfigBasic
    Private Sub frmConfigBasic_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        LoadScreens()
    End Sub

    Private Sub LoadScreens()
        cmbScreens.Properties.Items.Clear()
        For Each oScreen In Screen.AllScreens
            cmbScreens.Properties.Items.Add(oScreen.DeviceName)
        Next
    End Sub

    Private Sub cmbScreens_SelectedValueChanged(sender As Object, e As EventArgs) Handles cmbScreens.SelectedValueChanged
        My.UIConfig.SidebarScreen = cmbScreens.EditValue
        My.UIConfigManager.Save()
    End Sub
End Class